API Guide Home (Online version only) |

# PhnPDDataType Struct Reference

## Detailed Description

Definition at line 772 of file HsPhoneCDMATypes.h.

## Data Fields

- DWord lat
- DWord lon
- DWord time_stamp
- UInt8 loc_uncertainty_ang
- PhnPDPAUncerttype loc_uncertainty_a
- PhnPDPAUncerttype loc_uncertainty_p
- UInt8 phn_pd_svc_mask
- UInt16 altitude
- UInt16 heading
- UInt16 velocity_hor
- Boolean fix_t
- UInt16 velocity_ver
- PhnPDPAUncerttype loc_uncertainty_v

## Field Documentation

DWord lat

Two's complement value of the latitude of the modem, in units of 360/2^25 degrees.

Definition at line 775 of file HsPhoneCDMATypes.h.

DWord lon

Two's complement value of the longitude of the modem, in units of 360/2^26 degrees.

Definition at line 779 of file HsPhoneCDMATypes.h.

DWord time_stamp

CDMA system time, in seconds, at the time the solution was valid.

Definition at line 783 of file HsPhoneCDMATypes.h.

UInt8 loc_uncertainty_ang

Angle of axis with respect to True North for position uncertainty, in units of 5.625 degrees, in the range from 0 to 84.375 degrees, where 0 degrees is True North and the angle increases towards the East.

Definition at line 786 of file HsPhoneCDMATypes.h.

PhnPDPAUncerttype loc_uncertainty_a

Standard deviation of axis along angle specified for position uncertainty.

Definition at line 792 of file HsPhoneCDMATypes.h.

PhnPDPAUncerttype loc_uncertainty_p

Standard deviation of axis perpendicular to angle specified for position uncertainty.

Definition at line 796 of file HsPhoneCDMATypes.h.

UInt8 phn_pd_svc_mask

Bit mask indicating which of the following optional fields contain valid data.

Definition at line 800 of file HsPhoneCDMATypes.h.

UInt16 altitude

Height of the modem, in units of 1 meter, in the range from -500 m to 15883 m, where the binary value of the field conveys the height plus 500 m. Valid if OPT_FIELD_MASK field has PDSM_PD_ALTITUDE_VALID bit set.

Definition at line 804 of file HsPhoneCDMATypes.h.

UInt16 heading

Direction of the modem, in units of 360/2^10 degrees, in the range from 0 to 360x(1-2^10) degrees (where 0 degrees is True North and the angle increases towards the East. Valid if OPT_FIELD_MASK field has PDSM_PD_VELOCITY_VALID bit set.

Definition at line 810 of file HsPhoneCDMATypes.h.

UInt16 velocity_hor

Horizontal component of the velocity of the modem, in units of 0.25 m/s, in the range from 0 to 127.75 m/s. Valid if OPT_FIELD_MASK field has PDSM_PD_VELOCITY_VALID bit set.

Definition at line 816 of file HsPhoneCDMATypes.h.

Boolean fix_t

Boolean indicating fixed type. 0 means 2D fix and 1 means 3D fix.

Definition at line 821 of file HsPhoneCDMATypes.h.

UInt16 velocity_ver

Two's complement value of the vertical component of the velocity of the modem, in units of 0.5 m/s, in the range from -64m/s to +63.5m/s. Valid if OPT_FIELD_MASK field has PDSM_PD_VELOCITY_VALID bit set and FIX_T is set to TRUE.

Definition at line 825 of file HsPhoneCDMATypes.h.

PhnPDPAUncerttype loc_uncertainty_v

Standard deviation of vertical error for position uncertainty. Valid if OPT_FIELD_MASK field has PDSM_PD_VELOCITY_VALID bit set.

Definition at line 831 of file HsPhoneCDMATypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:23 2008 for Palm API Guide